Subject: bug#39281: gdm doesn't start

From: sirgazil <[email-masked]>
Date: Tue, 28 Jan 2020 13:18:10 -0500

---- On Tue, 28 Jan 2020 13:03:08 -0500 Jack Hill <[email-masked]> wrote ----
 > On Tue, 28 Jan 2020, Leo Prikler wrote:
 > 
 > > I've attached a patch, that should take care of this bug.  So far, I've
 > > only tested it in a VM (with the package added back into gnome), so it
 > > would be nice if one of you could test this with a real reboot before
 > > commiting.

I uncommented gnome-initial-setup, applied Leo's patch, and GDM works as expected.

 > I'm happy to report that after applying this patch on top of 
 > 94600c3960d7e2f12a3a9b6d2ed0d98ddacdd055 (i.e. with gnome-initial-setup 
 > still part of the gnome meta-package), reconfiguring, and rebooting, 
 > everything works as expected. GDM starts up, and after I log it, I'm 
 > presented with the initial setup wizard.
 > 

The initial setup window did not appear in my case, but I assume it is because somewhere in my system something says I already went through the setup (I did see the window in a previous boot).